import type { NobjcObject } from "objc-js";
import type { _NSArray } from "./NSArray.js";
import type { _NSObject } from "./NSObject.js";
import type { _NSString } from "./NSString.js";
export declare class _NSMetadataQueryResultGroup extends _NSObject {
    static alloc(): _NSMetadataQueryResultGroup;
    static new(): _NSMetadataQueryResultGroup;
    init(): _NSMetadataQueryResultGroup;
    /** uncertain whether this will do anything useful for non-leaf groups */
    resultAtIndex$(idx: number): NobjcObject;
    attribute(): _NSString;
    value(): NobjcObject;
    /** nil if this is a leaf */
    subgroups(): _NSArray | null;
    resultCount(): number;
    /** this is for K-V Bindings, and causes side-effects on the query */
    results(): _NSArray;
}
